Create Bills
Scopes: bill:create
curl --request POST \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/bills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7",
"number": "BILL-001",
"description": "Office supplies",
"due_at": "2025-02-15T00:00:00Z",
"issued_at": "2025-01-15T00:00:00Z",
"vendor_id": "ven_WQMDNUHpBThYSNh4AprDBo",
"lines": [
{
"description": "Cleaning services",
"amount": 120.52,
"ledger_id": "<string>",
"metadata_": {}
}
],
"currency": "USD",
"tags": {
"Location": "NYC"
}
}
]
'import requests
url = "https://api.sandbox.getasset.com/v0/business/{business_id}/bills"
payload = [
{
"business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7",
"number": "BILL-001",
"description": "Office supplies",
"due_at": "2025-02-15T00:00:00Z",
"issued_at": "2025-01-15T00:00:00Z",
"vendor_id": "ven_WQMDNUHpBThYSNh4AprDBo",
"lines": [
{
"description": "Cleaning services",
"amount": 120.52,
"ledger_id": "<string>",
"metadata_": {}
}
],
"currency": "USD",
"tags": { "Location": "NYC" }
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
business_id: 'biz_Pk2fNFDd8wj7EFeLWJywc7',
number: 'BILL-001',
description: 'Office supplies',
due_at: '2025-02-15T00:00:00Z',
issued_at: '2025-01-15T00:00:00Z',
vendor_id: 'ven_WQMDNUHpBThYSNh4AprDBo',
lines: [
{
description: 'Cleaning services',
amount: 120.52,
ledger_id: '<string>',
metadata_: {}
}
],
currency: 'USD',
tags: {Location: 'NYC'}
}
])
};
fetch('https://api.sandbox.getasset.com/v0/business/{business_id}/bills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7",
"vendor_id": "ven_ErisumsAc7qgmbTctM7zKK",
"number": "BILL-001",
"description": "Cleaning services",
"total_amount": 123,
"total_paid": 123,
"due_at": "2023-11-07T05:31:56Z",
"issued_at": "2023-11-07T05:31:56Z",
"status": "open",
"id": "bil_WQMDNUHpBThYSNh4AprDBo",
"currency": "CAD",
"voided_at": "2023-11-07T05:31:56Z",
"metadata_": {},
"lines": [
{
"description": "Cleaning services",
"ledger_id": "ldg_ErisumsAc7qgmbTctM7zKK",
"amount": 120.52,
"id": "bln_GkBo16N66u2teKfFuFMMwf",
"bill_id": "bil_WxcM3ypJ5boFxsNQzcqRXe",
"metadata_": {}
}
],
"payments": [
{
"bill_id": "bil_WQMDNUHpBThYSNh4AprDBo",
"payment_id": "blp_WQMDNUHpBThYSNh4AprDBo",
"datetime": "2021-01-01T00:00:00Z",
"payment_amount": "89.23",
"id": "blp_WQMDNUHpBThYSNh4AprDBo",
"transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",
"credit_journal_entry_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_credit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bill": "<unknown>"
}
],
"tags": {
"Job": [
{
"amount": "3000.00",
"value": "Maple Street Remodel"
},
{
"amount": "1500.00",
"value": "Downtown Office Rewire"
}
]
}
}
],
"errors": [
{
"error": "<string>",
"bill_number": "<string>"
}
]
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Optional external entity identifier that performed the action
Path Parameters
The id of the business
"biz_GA6EG2qFxA97NZHtxeLPUy"
Body
100The ID of the Business that the bill is associated with
"biz_Pk2fNFDd8wj7EFeLWJywc7"
The number of the bill
"BILL-001"
The description of the bill
"Office supplies"
The due date of the bill in ISO-8601 format
"2025-02-15T00:00:00Z"
The date the bill was issued in ISO-8601 format
"2025-01-15T00:00:00Z"
The ID of the Vendor that the bill is associated with
"ven_WQMDNUHpBThYSNh4AprDBo"
The lines of the bill
Show child attributes
Show child attributes
ISO 4217 currency code for this bill.
3"USD"
Inline tag input. Each field maps to either a single value (string, e.g. 'NYC') or a list of {value, amount} objects to allocate the bill across multiple values. The tag field must already exist; values are created automatically if missing. Per-field sum of amounts must not exceed the bill total.
Show child attributes
Show child attributes
{ "Location": "NYC" }
